/*
 * Copyright 2024 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.tig;

import java.util.List;

import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElements;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement
public class Config {
	public static class LanguageList {
		private List<String> langs;
		@XmlElements(@XmlElement(name="language",type=String.class))
		public List<String> getLangs() {
			return langs;
		}
		public void setLangs(List<String> langs) {
			this.langs = langs;
		}
	}
	public static class MethodList {
		private List<Method> methods;
		@XmlElements(@XmlElement(name="method",type=Method.class))
		public List<Method> getMethods() {
			return methods;
		}
		public void setMethods(List<Method> methods) {
			this.methods = methods;
		}
	}
	private String image;
	private int port;
	private boolean mt;
	private String namespace;
	private String oocontext;
	private LanguageList server;
	private LanguageList client;
	private MethodList methods;
	public String getImage() {
		return image;
	}
	public void setImage(String image) {
		this.image = image;
	}
	public int getPort() {
		return port;
	}
	public void setPort(int port) {
		this.port = port;
	}
	public boolean isMt() {
		return mt;
	}
	public void setMt(boolean mt) {
		this.mt = mt;
	}
	public String getNamespace() {
		return namespace;
	}
	public void setNamespace(String namespace) {
		this.namespace = namespace;
	}
	public String getOocontext() {
		return oocontext;
	}
	public void setOocontext(String oocontext) {
		this.oocontext = oocontext;
	}
	public LanguageList getServer() {
		return server;
	}
	public void setServer(LanguageList server) {
		this.server = server;
	}
	public LanguageList getClient() {
		return client;
	}
	public void setClient(LanguageList client) {
		this.client = client;
	}
	public MethodList getMethods() {
		return methods;
	}
	public void setMethods(MethodList methods) {
		this.methods = methods;
	}
}
