/*
 * Copyright 2024 Arne Vajh�j.
 * 
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *    http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License. 
 */

package dk.vajhoej.vms.tig.server;

import java.io.IOException;

import dk.vajhoej.vms.tig.Arg;
import dk.vajhoej.vms.tig.Method;

public interface ServerGen {
	public String fileName(String imgnam);
	public String className(String imgnam);
	public String typeName(Arg.DataType typ);
	public void open(String fnm) throws IOException;
	public void genClassHeader(String ns, String clznam, boolean mt, int port);
	public void genProcessorStart();
	public void genProcessorFragment(String imgnam, String methnam, String ooctx, Method.ArgList args);
	public void genProcessorFinish();
	public void genClassFooter(String clznam);
	public void close();
}
